#pragma once

#include <QMainWindow>
#include <QListWidgetItem>
#include "client.h"
#include "chatmanager.h"

namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget* parent = 0);
    ~MainWindow();

private:
    void addOneFriend(const QString&, int, bool bOnline = true);
    void addAllFriends(const LogonResult*);

private slots:
    void on_buttonLogon_clicked();
    void on_buttonReg_clicked();
    void on_buttonAddFriend_clicked();
    void on_buttonMChat_clicked();
    void on_buttonLogoff_clicked();
    void onItemDoubleClicked(QListWidgetItem*);
    void onLogonSuccess(const LogonResult*);
    void onRegSuccess();
    void onChatC2S(const QString&, const QString&);
    void onChatS2C(const Chat_S2C*);
    void onAddFriendSuccess(const QString&, int);
    void onFriendLogoff(const LogoffRequest*);
    void onFriendLogon(const FriendLogon*);

private:
    Ui::MainWindow* ui;             // 界面
    Client          m_client;       // 客户端
    ChatManager     m_chatManager;  // 聊天管理者
};
