#include "clientinfo.h"

/**
 * 构造方法。
 * @param ip    客户端 IP 地址
 * @param nPort 客户端端口号
 */
ClientInfo::ClientInfo(const QHostAddress& ip, quint16 nPort) :
    m_ip(ip),
    m_nPort(nPort)
{
}

/**
 * 获取客户端 IP 地址。
 * @return 客户端 IP 地址
 */
const QHostAddress& ClientInfo::getIP()
{
    return m_ip;
}

/**
 * 获取端口号。
 * @return 客户端端口号
 */
quint16 ClientInfo::getPort()
{
    return m_nPort;
}
