#include <QMessageBox>
#include "mainwindow.h"
#include "ui_mainwindow.h"

/**
 * 构造方法。
 * @param parent    父窗口
 */
MainWindow::MainWindow(QWidget* parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

/**
 * 析构方法。
 */
MainWindow::~MainWindow()
{
    delete ui;
}

/**
 * "开始"按钮的单击响应方法。
 */
void MainWindow::on_buttonStart_clicked()
{
    bool bRet = m_server.start();
    if (!bRet)
    {
        QMessageBox::critical( this, "Error", Result::getMessage(Result::NETWORK_WRONG) );
        return;
    }
    ui->buttonStart->setEnabled(false);
    ui->buttonStop->setEnabled(true);
}

/**
 * "结束"按钮的单击响应方法。
 */
void MainWindow::on_buttonStop_clicked()
{
    m_server.stop();
    ui->buttonStart->setEnabled(true);
    ui->buttonStop->setEnabled(false);
}
