#pragma once

#include <QTcpSocket>
#include <QTcpServer>
#include <QSqlDatabase>
#include "../Common/protocol.h"
#include "clientinfo.h"

typedef QMap<QString, QTcpSocket*> OnlineUsers;

class Server : public QTcpServer
{
    Q_OBJECT

public:
    explicit Server();
    ~Server();
    bool start();
    void stop();

private slots:
    void onConnect();
    void onGetMessageFromClient();

private:
    void createDatabase();
    void handleLogon(const LogonRequest*, QTcpSocket*);
    void handleReg(const RegRequest*, QTcpSocket*);
    void handleChat(const Chat_C2S*);
    void handleAddFriendRequest(const AddFriendRequest*, QTcpSocket*);
    void handleAddFriendResult(const AddFriendResult*);
    void handleLogoff(const LogoffRequest*);

private:
    QSqlDatabase    m_database;     // 数据库
    OnlineUsers     m_onLineUsers;  // 在线用户列表
};
